<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <!-- Google Tag Manager -->
    <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
            new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
        j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
        'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
    })(window,document,'script','dataLayer','GTM-NLPDPX3');</script>
    <!-- End Google Tag Manager -->

    <meta charset="UTF-8">
    <title>Upload Smart Test</title>
</head>
<body>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-NLPDPX3"
                  height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

<section layout:fragment="main" class="clearfix">
    <div class="row">
        <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="x_panel tile fixed_height_160">
                <div class="x_title">
                    <h1>Upload Hasil Smart Test</h1>
                    <div class="clearfix"></div>
                </div>
                <div class="row clearfix">
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                        <div class="card">
                            <div class="row clearfix">
                                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                    <form th:action="@{/smartTest/form}" method="post" enctype="multipart/form-data">
                                        <div class="row clearfix">
                                            <div class="col-lg-10 col-md-10 col-sm-10 col-xs-12">
                                                <div class="card">
                                                    <div class="body">
                                                        <form class="form-horizontal">

                                                            <div class="row clearfix">
                                                                <div class="col-lg-12 col-md-12" align="left">
                                                                    <a th:href="@{/contoh/smartTest}"
                                                                       class="btn btn-md bg-green waves-effect" type="submit">Contoh File Smart Test</a><br><br>
                                                                </div>
                                                                <div class="row clearfix">
                                                                    <div class="col-lg-2 col-md-2 col-sm-4 col-xs-5 form-control-label">
                                                                        <label style="margin-left: 10px;">Sekolah : </label>
                                                                    </div>
                                                                    <div class="col-lg-10 col-md-10 col-sm-8 col-xs-7">
                                                                        <div class="form-group">
                                                                            <div class="form-line">
                                                                                <input type="text" name="asalSekolah" id="sekolah" class="form-control"
                                                                                       placeholder="Asal Sekolah" required autofocus/> <!-- th:field="*{nama}"-->
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                                <div class="row clearfix">
                                                                    <div class="col-lg-2 col-md-2 col-sm-4 col-xs-5 form-control-label">
                                                                        <label style="margin-left: 10px;">Tanggal Test : </label>
                                                                    </div>
                                                                    <div class="col-lg-10 col-md-10 col-sm-8 col-xs-7">
                                                                        <div class="form-group">
                                                                            <div class="form-line">
                                                                                <input type="date" class="form-control"
                                                                                       id="tanggalTest"  name="tanggalTest" required />
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="row clearfix">
                                                                    <div class="col-lg-2 col-md-2 col-sm-4 col-xs-5 form-control-label">
                                                                        <label style="margin-left: 10px;">File Smart Test :</label>
                                                                    </div>
                                                                    <div class="col-lg-10 col-md-10 col-sm-8 col-xs-7">
                                                                        <div class="form-group">
                                                                            <div class="form-line">
                                                                                <input type="file" id="fileSmartTest" name="fileSmartTest" class="form-control" placeholder="File Smart Test">
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="row clearfix">
                                                                <div class="col-lg-offset-2 col-md-offset-2 col-sm-offset-4 col-xs-offset-5">
                                                                    <input type="checkbox" id="pakaiHeader"
                                                                           name="pakaiHeader" checked value="true" class="filled-in">
                                                                    <label for="pakaiHeader">Pakai Judul Kolom </label>
                                                                </div>
                                                            </div>
                                                            <div class="row clearfix">
                                                                <div class="col-lg-offset-2 col-md-offset-2 col-sm-offset-4 col-xs-offset-5">
                                                                    <button type="submit" class="btn btn-primary btn-md waves-effect">Upload</button>
                                                                </div>
                                                            </div>
                                                        </form>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!--List-->
            <div class="x_panel tile fixed_height_160">
                <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="row clearfix">
                            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                <div class="card">
                                    <div class="body">
                                        <form method="get">
                                            <div class="col-md-5 col-sm-5 col-xs-12 form-group pull-right top_search">
                                                <div class="input-group">
                                                    <input type="text" name="cari"
                                                           class="form-control" th:value="${cari}"
                                                           placeholder="Cari...">
                                                    <span class="input-group-btn">
                                                             <button class="btn btn-info" style="color: white;" type="submit">Cari</button>
                                                        </span>
                                                </div>
                                                <span class="pull-right">Show <span sd:page-size-selector="javascript"></span> entries</span>
                                            </div>
                                        </form>
                                        <hr>
                                        <div class="row">
                                            <div class="table-responsive">
                                                <table class="table table-bordered table-striped table-hover">
                                                    <thead>
                                                    <tr>
                                                        <th>No</th>
                                                        <th>Nama</th>
                                                        <th>Asal Sekolah</th>
                                                        <th>Tanggal Test</th>
                                                        <th>Nilai</th>
                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                    <tr th:each="p,row : ${smartTest}">
                                                        <td th:text="${(row.index + 1) + (smartTest.number * smartTest.size)}">#</td>
                                                        <td th:text="${p. nama}"></td>
                                                        <td th:text="${p. asalSekolah}"></td>
                                                        <td th:text="${p. tanggalTest}">10-08-2017</td>
                                                        <!--<td th:text="${p. nilai}">10-08-2017</td>-->
                                                        <td>
                                                            <span th:each="d : ${gS}" >
                                                                    <span th:if="${d.nama == p.nama}" th:text="${d.grade.nama}"></span>
                                                            </span>
                                                        </td>
                                                    </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-sm-6">
                                                <div sd:pagination-summary="">info</div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-sm-8">
                                                <nav class="pull-right">
                                                    <ul class="pagination" sd:pagination="full">
                                                        <!-- Pagination created by SpringDataDialect, this content is just for mockup -->
                                                        <li class="disabled"><a href="#" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>
                                                        <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a></li>
                                                    </ul>
                                                </nav>
                                            </div>
                                        </div>
                                    </div>
                                    <!--//table//-->
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            </div>

        </div>
    </div>
</section>

</body>
</html>